dofile( "data/scripts/lib/utilities.lua" )

local self_entity = GetUpdatedEntityID()

local file_name = GlobalsGetValue("projectile_filename", "false")

if(file_name ~= "false")then
    EntityAddComponent( self_entity, "VariableStorageComponent", 
    { 
        name = "projectile_filename",
        value_string = file_name,
    } )
else
    print("[ERROR] Filename not found.")
end